#ifndef DVDREAD_H_
#define DVDREAD_H_

/*
 * kissdx - KiSS PC-Link Daemon eXtended (based on kissd)
 *
 * This file Copyright (C) 2006 Vidar Tysse <vidar@vidartysse.net>
 * This file is Public domain.
 *
 * Heavily based on wizd (Public domain)
 *
 */




/**
 * Opaque type that is used as a handle for one instance of an opened DVD.
 */
typedef struct dvdreader_s *dvdreader_t;


// Prototypes for functions in dvdread.c

int IsDvdFolderOrIsoFile(char *name);
dvdreader_t CachedDvdOpen(char *name, int titleNo);
void CachedDvdClose(void);
int CachedDvdGetTitleCount(void);
u_int64_t CachedDvdGetSize(void);
ssize_t CachedDvdSendChunk(int socket, off_t range_start_pos, size_t range_length);


#endif /*DVDREAD_H_*/
