/*
 * kissdx - KiSS PC-Link Daemon eXtended (based on kissd)
 *
 * Copyright (C) 
 * Portions Copyright (C) 2006 Vidar Tysse <vidar@vidartysse.net>
 * Portions Copyright (C) 2007 Olivier Kahn <okahn@free.fr>
 *
 * Heavily based on kiss4lin,
 * Copyright (C) 2004 Jacob Kolding <dacobi@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
#ifndef CMCCLIENT_H_
#define CMCCLIENT_H_

void deliver_local_command(const char* command);							// Local command ("hidden" feature)
void deliver_admcmd(char *tcp_adm_command, char *tcp_response_expected);	// Admin commnad (STOP,RELOAD_CONFIG ...)
void simulplayer(char *tcp_player_command, char *tcp_response_expected);
void get_txt_config(char *tcp_player_command, char *tcp_response_expected);

//void perform_admcmd_stop(char *admcmd);									// admin command STOP 
void perform_admcmd_identity_request_reloadconfig(char *admcmd)	;			// admin command RELOAD_CONFIG via UDP requesting

struct sockaddr tcpFormatAdress( char * host, u_short port );
int deliver_tcp_cmd(char *tcp_command,char *tcp_target_host, int tcp_port);	// Tooling : Create a TCP socket and send a command

#endif /*CMCCLIENT_H_*/
